Skip to content

nodes / config ​

2 operations.

GET /nodes/{node}/config ​

ts
proxmox.nodes.$(node).config.$get()

Get node configuration options.

Returns object.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node
propertyacme | acmedomain0 | acmedomain1 | acmedomain2 | acmedomain3 | acmedomain4 | acmedomain5 | ballooning-target | … (4 more)Return only a specific property from the node configuration. — default "all"

PUT /nodes/{node}/config ​

ts
proxmox.nodes.$(node).config.$put()

Set node configuration options.

Returns nothing.

ParameterTypeRequiredNotes
acmestringNode specific ACME settings.
acmedomain0…acmedomain5stringACME domain and validation plugin
ballooning-targetnumberRAM usage target for ballooning (in percent of total memory) — min 0, max 100, default 80
deletestringA list of settings you want to delete. — format pve-configid-list
descriptionstringDescription for the Node. Shown in the web-interface node notes panel. This is saved as comment inside the configuration file. — ≤ 65536 chars
digeststringPrevent changes if current configuration file has different SHA1 digest. This can be used to prevent concurrent modifications. — ≤ 40 chars
locationstringThe location of the node. Overrides the default from the datacenter config. — format pve-node-location
nodestringyesThe cluster node name. — format pve-node
startall-onboot-delaynumberInitial delay in seconds, before starting all the Virtual Guests with on-boot enabled. — min 0, max 300, default 0
wakeonlanstringNode specific wake on LAN settings.